Subject: [PATCH v2] gnu: font-adobe-source-code-pro: Update to 2.032R-ro-1.052R-it-1.012R-VAR.

From: phodina <[email-masked]>
Date: Wed, 17 Nov 2021 12:25:01 +0000

Hi Liliana,

> This regexp could be simplified by noticing that it's always
>
> <VERSION>R-<TAG>/<VERSION>R-<TAG>/<VERSION>R-<TAG>, whereas we use
>
> <VERSION>R-<TAG>-<VERSION>R-<TAG>-<VERSION>R-<TAG>. So simply use a
>
> regexp that matches <VERSION>R-<TAG>- and then replace just the dash
>
> with a slash. That being said, I'm not sure how much cleaner this is
>
> compared to let-binding
>
> Cheers.

Thanks. I saw the pattern just I have issue writing down the regexp in Guile. Now you made me learn them properly :-D

* gnu/packages/fonts (font-adobe-source-code-pro): Update to
  2.032R-ro-1.052R-it-1.012R-VAR and update regexp in commit.

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 3f36a71bdd..c3ad57f203 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -975,7 +975,7 @@ (define-public font-hack
 (define-public font-adobe-source-code-pro
   (package
     (name "font-adobe-source-code-pro")
-    (version "2.030R-ro-1.050R-it")
+    (version "2.032R-ro-1.052R-it-1.012R-VAR")
     (source
      (origin
        (method git-fetch)
@@ -984,10 +984,12 @@ (define-public font-adobe-source-code-pro
              (commit (regexp-substitute/global
                       ;; The upstream tag uses "/" between the roman and italic
                       ;; versions, so substitute our "-" separator here.
-                      #f "R-ro-" version 'pre "R-ro/" 'post))))
+                      #f "((R-ro)|(R-it))(-)" version
+                      'pre 1 "/" 'post
+                      ))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0hc5kflr8xzqgdm0c3gbgb1paygznxmnivkylid69ipc7wnicx1n"))))
+        (base32 "1lqchm8z0ah5y675ycmciqvr8y1v1gcj22ysfs443gm291vy0z4v"))))
     (build-system font-build-system)
     (home-page "https://github.com/adobe-fonts/source-code-pro")
     (synopsis
--
2.33.0